aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libwacom/APKBUILD
diff options
context:
space:
mode:
authorIvan Tham <pickfire@riseup.net>2017-03-16 23:25:37 +0800
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-03-16 15:43:20 +0000
commit667480742defaef531f9beb5f95df83759050dac (patch)
tree54af0492e3dfebf96780feac4c89e4992c451c2c /testing/libwacom/APKBUILD
parente87ef4feab4a2f2f6c3366723b70dafd5c8c0540 (diff)
downloadaports-667480742defaef531f9beb5f95df83759050dac.tar.gz
aports-667480742defaef531f9beb5f95df83759050dac.tar.bz2
aports-667480742defaef531f9beb5f95df83759050dac.tar.xz
testing/libwacom: new aport
http://linuxwacom.sourceforge.net/ Library to help implement Wacom tablet settings
Diffstat (limited to 'testing/libwacom/APKBUILD')
-rw-r--r--testing/libwacom/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/libwacom/APKBUILD b/testing/libwacom/APKBUILD
new file mode 100644
index 0000000000..ccda044f3d
--- /dev/null
+++ b/testing/libwacom/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=libwacom
+pkgver=0.24
+pkgrel=0
+pkgdesc="Library to help implement Wacom tablet settings"
+url="http://linuxwacom.sourceforge.net/"
+arch="all"
+license="MIT"
+depends=""
+makedepends="libgudev-dev"
+checkdepends="bash findutils"
+install=""
+subpackages="$pkgname-dev"
+source="https://downloads.sourceforge.net/project/linuxwacom/$pkgname/$pkgname-$pkgver.tar.bz2"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+check() {
+ cd "$builddir"
+ make check || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+ install -dm755 "$pkgdir"/usr/lib/udev/rules.d/
+ tools/generate-udev-rules
+ > "$pkgdir"/usr/lib/udev/rules.d/65-libwacom.rules
+}
+
+sha512sums="331acb33ab798abf376f70647786c894014d5baa373cc66d53f1e77e77129ba78ec059f32f5cf3659a1fe3e8f9ff6ab3eb6eefd6090fc3c3bab4582ea25a5640 libwacom-0.24.tar.bz2"